Subject: [ESDS] RE: ESDS Digest, Vol 5, Issue 4

From: "Philippe Gautier" <[email-masked]>
Date: Thu, 31 Jan 2008 11:14:05 +0100

Kary,
I did not see your mail before posting my previous comment.... Sorry.
We are on the same line : this vision would make the project more
"universalist".
Regards,
Philippe

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] 
Envoyé : mardi 29 janvier 2008 13:51
À : [email-masked]
Objet : ESDS Digest, Vol 5, Issue 4

Send ESDS mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www1.ietf.org/mailman/listinfo/esds
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of ESDS digest..."

Today's Topics:

   1. Re:  Proposed Charter (Kary Fr?mling)

----------------------------------------------------------------------

Message: 1
Date: Tue, 29 Jan 2008 14:51:04 +0200
From: Kary Fr?mling <[email-masked]>
Subject: Re: [ESDS] Proposed Charter
To: Ali Rezafard <[email-masked]>
Cc: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Dear group,

Just a quick comment about the charter text. It says "which can be used 
to gather and retrieve complete lifecycle information about the object" 
but apparently the definition of "object lifecycle" only covers the 
design and manufacturing phases (i.e. the supply chain) of the object.

As I have been working on the PROMISE project 
(http://www.promise-plm.com/) for the last years, my understanding of 
"object lifecycle" also includes the usage phase (including consumers, 
not only airlines or similar "commercial" or "industrial" end-user 
organisations) and the "end-of-life", i.e. recycling.

This difference is fundamental for the work group charter. The scope 
becomes much broader and the technical challenges are greater if the 
PROMISE-kind interpretation is used. But the vision also becomes more 
interesting, i.e. a "true" Internet of Things.

I personally vote for the PROMISE-kind interpretation but no matter 
which interpretation is used, it should be clearly expressed in the 
charter.

Another thing: if consumers are included in the vision, then "privacy" 
also becomes a part of security. "Privacy" might sound unattractive but 
anonymization and pseudonymization solutions are used for tackling this 
in many systems already.

Regards,

   Kary Frdmling
---
Mail: Helsinki University of Technology, P.O. Box 5500, FI-02015 HUT, 
Finland
Office: TUAS Building, Room 2044, Otaniementie 17, Espoo
Phone: +358 50 5980451, Telefax: +358 9 451 3293
Email: [email-masked], WWW: http://www.cs.hut.fi/~framling

> Dear ESDS group,
>
> Below is the proposed charter and work items for our work group. 
> Please review and comment.
>
> Extensible Supply-chain Discovery Service (ESDS)
> =====================================
>
> Chair(s):
>    Mark Harrison <mark.harrison at cantab.net>
> Applications Area Director(s):
>    Lisa Dusseault <lisa at osafoundation.org>
>    Chris Newman <chris.newman at sun.com>
> Applications Area Advisor:
>    Lisa Dusseault <lisa at osafoundation.org>
> Mailing List(s):
>    esds at ietf.org
> General information about the mailing list is at:
>    https://www1.ietf.org/mailman/listinfo/esds
>
> Purpose of Working Group:
> -----------------------------------
> The use of Supply chain Tracking Systems is rising at an unprecedented 
> rate, particularly as various industry sectors are increasingly 
> adopting automatic identification technologies such as Radio-Frequency 
> Identification (RFID) to automatically track individual physical 
> objects as they move through a supply chain.  Rather than tracking at 
> batch or lot level, the ultimate goal of this technology is that each 
> individual physical object will have its own unique ID, which can be 
> used to gather and retrieve complete lifecycle information about the 
> object, which is fragmented across the supply chain. Deployment of 
> these systems has grown to a point where they can no longer operate 
> effectively in isolation from other systems.  There is a need to share 
> data among these disparate systems, which are owned and operated by 
> separate organizations.
>
> ESDS has been chartered to architect and define the protocol of a 
> Discovery Service for global supply chains. ESDS's goal is to enable 
> searching for information on physical objects flowing in a supply 
> chain, by authorized and authenticated users.  Economic and technical 
> factors dictate that Discovery Services and their protocol ESDS must 
> be designed for deployment on the Internet. Access control, data 
> protection and security are of utmost importance, due to sensitivity 
> and value of the information generated by the supply chain.
>
> Goals and Milestones:
> ----------------------------
> The work group will address to the following work items:
>
> 1) Define common vocabulary and terminology
> 2) Define core data sets for sharing on Discovery Service, including 
> required data fields, optional data fields, and extensible data fields 
> (e.g. who, what, when, where, why, links, identifier, lifecycle, 
> class, etc.)
> 3) Define fault tolerance for missing required data fields
> 4) Define mechanism for uniquely identifying objects in a supply chain 
> without requiring a global unique identifier for each and all objects 
> that enter a supply chain
> 5) Define handling for time zones (e.g. accepting only UTC timestamps 
> vs. accepting timestamps with any timezone)
> 6) Define a protocol for advertising/publishing data resources 
> (Resource Discovery)
> 7) Define a protocol and policy for retracting or voiding published data
> 8) Define a protocol for querying published data, facilitating both 
> one-time queries and standing queries (e.g. pull vs. push queries)
> 9) Define a common interface for access control configuration (e.g. 
> supply chain, partner, user, roles)
> 10) Define security architecture and mechanisms for authorization, 
> authentication , encryption (e.g.
> integrating security certificates into the protocol vs. relying on a 
> security layer such as SSL)
> 11) Architect a bootstrapping policy for objects while ensuring 
> security and confidentiality
> 12) Define a common configuration interface for each category of 
> policies (e.g. access policies, retention policies, archiving 
> policies, purging  policies, audit policies, QoS policies, propagation 
> policies)
> 13) Define policies for updating stale and broken links (e.g. for 
> records with a long retention period, it is vital that links can be 
> updated, when required)
> 14) Validate that the deployment architecture is independent, scalable 
> and robust
> 15) Determine how aggregation and disaggregation events should be 
> handled including policies for access control and visibility of these 
> events (e.g. a pallet is broken down into boxes and each box has its 
> own destination supply chain)
> 16) Determine if multilayer information visibility is required (e.g. a 
> query with limited access can be informed of the existence of 
> information for a particular object, but to view the actual 
> information, full access privileges would be required. This has 
> particular implications for peer-to-peer searching across multiple 
> Discovery Services)
> 17) Define a peer-to-peer protocol to enable linking Discovery Service 
> servers together
>
>
>
> _______________________________________________
> ESDS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/esds

------------------------------

_______________________________________________
ESDS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/esds

End of ESDS Digest, Vol 5, Issue 4
**********************************

_______________________________________________
ESDS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/esds